[arch-commits] Commit in hplip/repos (10 files)

Andreas Radke andyrtr at nymeria.archlinux.org
Wed Dec 11 16:52:49 UTC 2013


    Date: Wednesday, December 11, 2013 @ 17:52:49
  Author: andyrtr
Revision: 201438

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  hplip/repos/extra-i686/PKGBUILD
    (from rev 201437, hplip/trunk/PKGBUILD)
  hplip/repos/extra-i686/disable_upgrade.patch
    (from rev 201437, hplip/trunk/disable_upgrade.patch)
  hplip/repos/extra-i686/hplip.install
    (from rev 201437, hplip/trunk/hplip.install)
  hplip/repos/extra-x86_64/PKGBUILD
    (from rev 201437, hplip/trunk/PKGBUILD)
  hplip/repos/extra-x86_64/disable_upgrade.patch
    (from rev 201437, hplip/trunk/disable_upgrade.patch)
  hplip/repos/extra-x86_64/hplip.install
    (from rev 201437, hplip/trunk/hplip.install)
Deleted:
  hplip/repos/extra-i686/PKGBUILD
  hplip/repos/extra-i686/hplip.install
  hplip/repos/extra-x86_64/PKGBUILD
  hplip/repos/extra-x86_64/hplip.install

------------------------------------+
 /PKGBUILD                          |  194 +++++++++++++++++++++++++++++++++++
 /hplip.install                     |   36 ++++++
 extra-i686/PKGBUILD                |   92 ----------------
 extra-i686/disable_upgrade.patch   |   14 ++
 extra-i686/hplip.install           |   18 ---
 extra-x86_64/PKGBUILD              |   92 ----------------
 extra-x86_64/disable_upgrade.patch |   14 ++
 extra-x86_64/hplip.install         |   18 ---
 8 files changed, 258 insertions(+), 220 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2013-12-11 16:52:25 UTC (rev 201437)
+++ extra-i686/PKGBUILD	2013-12-11 16:52:49 UTC (rev 201438)
@@ -1,92 +0,0 @@
-# $Id$
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor : Rémy Oudompheng <remy at archlinux.org>
-# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
-
-pkgname=hplip
-pkgver=3.13.11
-pkgrel=1
-pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
-arch=('i686' 'x86_64')
-url="http://hplipopensource.com"
-license=('GPL')
-depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
-	 'net-snmp>=5.7.1' 'wget')
-makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups' 'libusbx')
-optdepends=('cups: for printing support'
-            'python2-dbus: for dbus support'
-            'sane: for scanner support'
-            'python2-pillow: for commandline scanning support'
-            'python2-notify: for Desktop notification support'
-            'python2-reportlab: for pdf output in hp-scan'
-            'rpcbind: for network support'
-            'python2-pyqt: for running hp-toolbox'
-            'python2-gobject2: for running hp-toolbox'
-            'hplip-plugin: binary blobs for specific devices'
-            'libusbx: for advanced usb support')
-install=hplip.install
-source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc})
-md5sums=('8ee362d9bc45fd4eddd3c9d9e583d728'
-         'SKIP')
-
-prepare() {
- cd $pkgname-$pkgver
- 
- export PYTHON=python2
- 
- find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
- sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' doctor.py setup.py makeuri.py logcapture.py base/magic.py
- sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' ui/upgradeform.py uninstall.py upgrade.py config_usb_printer.py
- sed -i 's|python ./print.py|python2 ./print.py|' scan.py
- sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
- sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
- sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
- sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
- 
- # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
- # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
- # The hpcups driver does not use foomatic-rip
-	local i
-	for i in ppd/hpijs/*.ppd.gz ; do
-		rm -f ${i}.temp
-		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
-			gzip > ${i}.temp || return 1
-		mv ${i}.temp ${i}
-	done
-   
- export AUTOMAKE='automake --foreign'
- autoreconf --force --install
-}
-
-build() {
- cd $pkgname-$pkgver
- ./configure --prefix=/usr \
-             --enable-qt4 \
-             --disable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install \
-             --enable-hpcups-install \
-             --enable-new-hpcups \
-             --enable-cups-ppd-install \
-             --enable-cups-drv-install \
-             --enable-hpijs-install \
-             --enable-foomatic-drv-install \
-             --enable-pp-build \
-             --enable-udev-acl-rules #--help
-
- make
-}
-
-package() {
- #cd $pkgname-$pkgver
- cd $pkgname-${pkgver/.a/a}
- make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
- 
- # remove config provided by sane and autostart of hp-daemon
- rm -rf "$pkgdir"/etc/{sane.d,xdg}
- 
- # remove HAL .fdi file because HAL is no longer used
- rm -vrf "$pkgdir"/usr/share/hal
- 
- # remove rc script
- rm -vrf "$pkgdir"/etc/init.d
-}

Copied: hplip/repos/extra-i686/PKGBUILD (from rev 201437, hplip/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2013-12-11 16:52:49 UTC (rev 201438)
@@ -0,0 +1,97 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.13.11
+pkgrel=2
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
+	 'net-snmp>=5.7.1' 'wget')
+makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups' 'libusbx')
+optdepends=('cups: for printing support'
+            'python2-dbus: for dbus support'
+            'sane: for scanner support'
+            'python2-pillow: for commandline scanning support'
+            'python2-notify: for Desktop notification support'
+            'python2-reportlab: for pdf output in hp-scan'
+            'rpcbind: for network support'
+            'python2-pyqt: for running hp-toolbox'
+            'python2-gobject2: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices'
+            'libusbx: for advanced usb support')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
+        disable_upgrade.patch)
+md5sums=('8ee362d9bc45fd4eddd3c9d9e583d728'
+         'SKIP'
+         '257c8bfe675862d90f4ce07d3dff1d9f')
+
+prepare() {
+ cd $pkgname-$pkgver
+ 
+ export PYTHON=python2
+ 
+ find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' doctor.py setup.py makeuri.py logcapture.py base/magic.py
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' ui/upgradeform.py uninstall.py upgrade.py config_usb_printer.py
+ sed -i 's|python ./print.py|python2 ./print.py|' scan.py
+ sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
+ sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
+ sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
+ sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
+ 
+ # disable insecure update - https://bugs.archlinux.org/task/38083
+ patch -Np0 -i ${srcdir}/disable_upgrade.patch
+ 
+ # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+	local i
+	for i in ppd/hpijs/*.ppd.gz ; do
+		rm -f ${i}.temp
+		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+			gzip > ${i}.temp || return 1
+		mv ${i}.temp ${i}
+	done
+   
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --disable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build \
+             --enable-udev-acl-rules #--help
+
+ make
+}
+
+package() {
+ #cd $pkgname-$pkgver
+ cd $pkgname-${pkgver/.a/a}
+ make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ 
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ 
+ # remove HAL .fdi file because HAL is no longer used
+ rm -vrf "$pkgdir"/usr/share/hal
+ 
+ # remove rc script
+ rm -vrf "$pkgdir"/etc/init.d
+}

Copied: hplip/repos/extra-i686/disable_upgrade.patch (from rev 201437, hplip/trunk/disable_upgrade.patch)
===================================================================
--- extra-i686/disable_upgrade.patch	                        (rev 0)
+++ extra-i686/disable_upgrade.patch	2013-12-11 16:52:49 UTC (rev 201438)
@@ -0,0 +1,14 @@
+--- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
++++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
+@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
+ if os.getenv("HPLIP_DEBUG"):
+     log.set_level('debug')
+ 
++
++log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
++clean_exit(1)
++
++
+ for o, a in opts:
+     if o in ('-h', '--help'):
+         usage()

Deleted: extra-i686/hplip.install
===================================================================
--- extra-i686/hplip.install	2013-12-11 16:52:25 UTC (rev 201437)
+++ extra-i686/hplip.install	2013-12-11 16:52:49 UTC (rev 201438)
@@ -1,18 +0,0 @@
-post_install() {
-  cat << EOF
-
-NOTE
-----
-# If you want to use this driver with sane:
-#  echo "hpaio" >> /etc/sane.d/dll.conf
-
-EOF
-}
-
-post_upgrade() {
-  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
-    # important upgrade notice
-    echo "> Please remove your printer in cups, then add it"
-    echo "> back and reconfigure it to make it work again!"
-  fi
-}

Copied: hplip/repos/extra-i686/hplip.install (from rev 201437, hplip/trunk/hplip.install)
===================================================================
--- extra-i686/hplip.install	                        (rev 0)
+++ extra-i686/hplip.install	2013-12-11 16:52:49 UTC (rev 201438)
@@ -0,0 +1,18 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
+    # important upgrade notice
+    echo "> Please remove your printer in cups, then add it"
+    echo "> back and reconfigure it to make it work again!"
+  fi
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2013-12-11 16:52:25 UTC (rev 201437)
+++ extra-x86_64/PKGBUILD	2013-12-11 16:52:49 UTC (rev 201438)
@@ -1,92 +0,0 @@
-# $Id$
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor : Rémy Oudompheng <remy at archlinux.org>
-# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
-
-pkgname=hplip
-pkgver=3.13.11
-pkgrel=1
-pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
-arch=('i686' 'x86_64')
-url="http://hplipopensource.com"
-license=('GPL')
-depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
-	 'net-snmp>=5.7.1' 'wget')
-makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups' 'libusbx')
-optdepends=('cups: for printing support'
-            'python2-dbus: for dbus support'
-            'sane: for scanner support'
-            'python2-pillow: for commandline scanning support'
-            'python2-notify: for Desktop notification support'
-            'python2-reportlab: for pdf output in hp-scan'
-            'rpcbind: for network support'
-            'python2-pyqt: for running hp-toolbox'
-            'python2-gobject2: for running hp-toolbox'
-            'hplip-plugin: binary blobs for specific devices'
-            'libusbx: for advanced usb support')
-install=hplip.install
-source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc})
-md5sums=('8ee362d9bc45fd4eddd3c9d9e583d728'
-         'SKIP')
-
-prepare() {
- cd $pkgname-$pkgver
- 
- export PYTHON=python2
- 
- find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
- sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' doctor.py setup.py makeuri.py logcapture.py base/magic.py
- sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' ui/upgradeform.py uninstall.py upgrade.py config_usb_printer.py
- sed -i 's|python ./print.py|python2 ./print.py|' scan.py
- sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
- sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
- sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
- sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
- 
- # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
- # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
- # The hpcups driver does not use foomatic-rip
-	local i
-	for i in ppd/hpijs/*.ppd.gz ; do
-		rm -f ${i}.temp
-		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
-			gzip > ${i}.temp || return 1
-		mv ${i}.temp ${i}
-	done
-   
- export AUTOMAKE='automake --foreign'
- autoreconf --force --install
-}
-
-build() {
- cd $pkgname-$pkgver
- ./configure --prefix=/usr \
-             --enable-qt4 \
-             --disable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install \
-             --enable-hpcups-install \
-             --enable-new-hpcups \
-             --enable-cups-ppd-install \
-             --enable-cups-drv-install \
-             --enable-hpijs-install \
-             --enable-foomatic-drv-install \
-             --enable-pp-build \
-             --enable-udev-acl-rules #--help
-
- make
-}
-
-package() {
- #cd $pkgname-$pkgver
- cd $pkgname-${pkgver/.a/a}
- make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
- 
- # remove config provided by sane and autostart of hp-daemon
- rm -rf "$pkgdir"/etc/{sane.d,xdg}
- 
- # remove HAL .fdi file because HAL is no longer used
- rm -vrf "$pkgdir"/usr/share/hal
- 
- # remove rc script
- rm -vrf "$pkgdir"/etc/init.d
-}

Copied: hplip/repos/extra-x86_64/PKGBUILD (from rev 201437, hplip/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2013-12-11 16:52:49 UTC (rev 201438)
@@ -0,0 +1,97 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.13.11
+pkgrel=2
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
+	 'net-snmp>=5.7.1' 'wget')
+makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups' 'libusbx')
+optdepends=('cups: for printing support'
+            'python2-dbus: for dbus support'
+            'sane: for scanner support'
+            'python2-pillow: for commandline scanning support'
+            'python2-notify: for Desktop notification support'
+            'python2-reportlab: for pdf output in hp-scan'
+            'rpcbind: for network support'
+            'python2-pyqt: for running hp-toolbox'
+            'python2-gobject2: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices'
+            'libusbx: for advanced usb support')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
+        disable_upgrade.patch)
+md5sums=('8ee362d9bc45fd4eddd3c9d9e583d728'
+         'SKIP'
+         '257c8bfe675862d90f4ce07d3dff1d9f')
+
+prepare() {
+ cd $pkgname-$pkgver
+ 
+ export PYTHON=python2
+ 
+ find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' doctor.py setup.py makeuri.py logcapture.py base/magic.py
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' ui/upgradeform.py uninstall.py upgrade.py config_usb_printer.py
+ sed -i 's|python ./print.py|python2 ./print.py|' scan.py
+ sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
+ sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
+ sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
+ sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
+ 
+ # disable insecure update - https://bugs.archlinux.org/task/38083
+ patch -Np0 -i ${srcdir}/disable_upgrade.patch
+ 
+ # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+	local i
+	for i in ppd/hpijs/*.ppd.gz ; do
+		rm -f ${i}.temp
+		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+			gzip > ${i}.temp || return 1
+		mv ${i}.temp ${i}
+	done
+   
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --disable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build \
+             --enable-udev-acl-rules #--help
+
+ make
+}
+
+package() {
+ #cd $pkgname-$pkgver
+ cd $pkgname-${pkgver/.a/a}
+ make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ 
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ 
+ # remove HAL .fdi file because HAL is no longer used
+ rm -vrf "$pkgdir"/usr/share/hal
+ 
+ # remove rc script
+ rm -vrf "$pkgdir"/etc/init.d
+}

Copied: hplip/repos/extra-x86_64/disable_upgrade.patch (from rev 201437, hplip/trunk/disable_upgrade.patch)
===================================================================
--- extra-x86_64/disable_upgrade.patch	                        (rev 0)
+++ extra-x86_64/disable_upgrade.patch	2013-12-11 16:52:49 UTC (rev 201438)
@@ -0,0 +1,14 @@
+--- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
++++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
+@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
+ if os.getenv("HPLIP_DEBUG"):
+     log.set_level('debug')
+ 
++
++log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
++clean_exit(1)
++
++
+ for o, a in opts:
+     if o in ('-h', '--help'):
+         usage()

Deleted: extra-x86_64/hplip.install
===================================================================
--- extra-x86_64/hplip.install	2013-12-11 16:52:25 UTC (rev 201437)
+++ extra-x86_64/hplip.install	2013-12-11 16:52:49 UTC (rev 201438)
@@ -1,18 +0,0 @@
-post_install() {
-  cat << EOF
-
-NOTE
-----
-# If you want to use this driver with sane:
-#  echo "hpaio" >> /etc/sane.d/dll.conf
-
-EOF
-}
-
-post_upgrade() {
-  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
-    # important upgrade notice
-    echo "> Please remove your printer in cups, then add it"
-    echo "> back and reconfigure it to make it work again!"
-  fi
-}

Copied: hplip/repos/extra-x86_64/hplip.install (from rev 201437, hplip/trunk/hplip.install)
===================================================================
--- extra-x86_64/hplip.install	                        (rev 0)
+++ extra-x86_64/hplip.install	2013-12-11 16:52:49 UTC (rev 201438)
@@ -0,0 +1,18 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
+    # important upgrade notice
+    echo "> Please remove your printer in cups, then add it"
+    echo "> back and reconfigure it to make it work again!"
+  fi
+}




More information about the arch-commits mailing list